Package Details: brother-mfc-j5620dw 3.0.1_1-1

Git Clone URL: https://aur.archlinux.org/brother-mfc-j5620dw.git (read-only)
Package Base: brother-mfc-j5620dw
Description: LPR and CUPS driver for the Brother MFC-J5620DW printer
Upstream URL: http://www.brother.com/
Licenses: GPL, custom
Submitter: severach
Maintainer: severach
Last Packager: severach
Votes: 1
Popularity: 0.000000
First Submitted: 2015-07-15 23:38
Last Updated: 2017-06-10 18:09

Latest Comments

severach commented on 2017-05-20 17:59

I created the package. Using the right model makes it easy to search for and eliminates confusion.

hogar1977 commented on 2017-05-20 09:11

Hi there...

is it possible for you to make the same driver package for MFC-J5720DW? Or I could just install this and it would work?

charlottardif commented on 2016-06-16 11:48

Super! Thanks for the update. Working perfectly now on my system!

severach commented on 2016-06-13 02:23

Brother fixed that bug for newer printers by copying the *rc to /tmp before modifying. The problem was that I had the exe that updates /tmp/*rc with the cups printer settings named wrong so the lpr filter silently skipped it. I was able to get my printer to ask for A4 paper so it should work now.

charlottardif commented on 2016-06-01 06:43

I installed this package. Installed well and the printer worked BUT:
- Unable to change paper sizes and other settings. In fact, I could change these settings manually in the "brmfcj5620dwrc" file but the driver had no effect on the file, even with permission change.

So I ended up installing the driver with the .deb on the brother website. Works perfectly now!